Package twisted :: Package internet :: Module address :: Class UNIXAddress

[frames | no frames]

## Class UNIXAddress

    object --+
             |
            UNIXAddress

Object representing a UNIX socket endpoint.

Method Summary
| `__init__(self, name, _bwHack)`
| `__eq__(self, other)`
| `__getitem__(self, index)`
| `__getslice__(self, start, stop)`
| `__str__(self)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Instance Variable Summary
`str` | `name`: The filename associated with this socket.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IAd...`

Instance Variable Details

### name

The filename associated with this socket.

  Type:
    `str`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.internet.interfaces.IAddress at 0x825175c>,)

Generated by Epydoc 2.0 on Sat May 15 20:08:35 2004 | http://epydoc.sf.net